.scenes,
.layer {
  position: fixed 0 0 0 0;
  z-index: 2;

  display: flex;

  width: 100%;
  height: 100%;

  @media (width <= 1279PX) {
    position: static;

    display: flex !important;
    flex-direction: column;

    min-height: auto;

    opacity: 1 !important;
    transform: none!important;
  }

  .safari & {
    @media (width <= 1279PX) {
      display: block !important;
    }
  }
}

.layer {
  position: absolute 0 0 0 0;
  z-index: 2;
  will-change: transform;

  display: none;

  width: 100%;
  max-width: 100vw;
  min-height: 100vh;
  margin: auto;
  flex-direction: column;

  @media (height <= 1279PX) {
    position: static;
    padding-top: 150px;
    padding-bottom: 30px;
    flex-direction: column;
    margin-bottom: 90px;
  }

  &.footer-map {
    flex-direction: column;
    @media (height <= 1279PX) {
      padding-top: 0;
      padding-bottom: 0;
      
    }
  }

  &.courses {
    @media (height <= 1279PX) {
      padding: 0;
    }
  }

  @media (width <= 1279PX) {
    position: static;

    display: flex;

    margin-bottom: 30px;
    padding: 0 !important;

    .safari & {
      @media (width <= 1279PX) {
        display: block !important;
      }
    }

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.scene__window {
  display: flex;

  width: 100vw;
  height: 100vh;
  margin: auto;

  @media (height <= 1279PX) {
    height: calc(100vh-150px);

    .footer-map & {
      height: 100%;
    }
  }

  @media (width <= 1279PX) {
    height: 100% !important;
    margin: 0;
  }

  .safari & {
    @media (width <= 1279PX) {
      display: block !important;
      z-index: 1;
      position: relative;
    }
  }
}


@keyframes pulse-btn {
  0% {
    box-shadow: 0 0 10px 0 rgba($white, 1);
  }

  50% {
    box-shadow: 0 0 30px 0 rgba($white, 0.8);
  }

  100% {
    box-shadow: 0 0 10px 0 rgba($white, 1);
  }
}


